"""Pheasy version information"""
# -*- coding: utf-8 -*-
# Copyright (C) 2021-2023 Changpeng Lin
# All rights reserved.


__version__ = "0.0.2"


def get_logo_version():
    """Return Pheasy logo and version.
    Generated by http://www.network-science.de/ascii/
    """

    logo_list = []
    logo_list.append(
        """
 _____  _    _ ______           _______     __
|  __ \| |  | |  ____|   /\    / ____\ \   / /
| |__) | |__| | |__     /  \  | (___  \ \_/ / 
|  ___/|  __  |  __|   / /\ \  \___ \  \   /  
| |    | |  | | |____ / ____ \ ____) |  | |   
|_|    |_|  |_|______/_/    \_\_____/   |_|   
                                            """
        + __version__
    )
    logo_list.append(
        """
 *******  **      ** ********     **      ******** **    **
/**////**/**     /**/**/////     ****    **////// //**  ** 
/**   /**/**     /**/**         **//**  /**        //****  
/******* /**********/*******   **  //** /*********  //**   
/**////  /**//////**/**////   **********////////**   /**   
/**      /**     /**/**      /**//////**       /**   /**   
/**      /**     /**/********/**     /** ********    /**   
//       //      // //////// //      // ////////     //   """
        + __version__
    )
    logo_list.append(
        """
 _____  _    _ ______           _______     __
|  __ \| |  | |  ____|   /\    / ____\ \   / /
| |__) | |__| | |__     /  \  | (___  \ \_/ / 
|  ___/|  __  |  __|   / /\ \  \___ \  \   /  
| |    | |  | | |____ / ____ \ ____) |  | |   
|_|    |_|  |_|______/_/    \_\_____/   |_|   
                                            """
        + __version__
    )
    logo_list.append(
        """
_|_|_|    _|    _|  _|_|_|_|    _|_|      _|_|_|  _|      _|  
_|    _|  _|    _|  _|        _|    _|  _|          _|  _|    
_|_|_|    _|_|_|_|  _|_|_|    _|_|_|_|    _|_|        _|      
_|        _|    _|  _|        _|    _|        _|      _|      
_|        _|    _|  _|_|_|_|  _|    _|  _|_|_|        _|  """
        + __version__
    )
    logo_list.append(
        """
 ____  _   _  ____    __    ___  _  _ 
(  _ \( )_( )( ___)  /__\  / __)( \/ )
 )___/ ) _ (  )__)  /(__)\ \__ \ \  / 
(__)  (_) (_)(____)(__)(__)(___/ (__) """
        + __version__
    )
    logo_list.append(
        """
_///////  _//     _//_////////      _/         _// //  _//      _//
_//    _//_//     _//_//           _/ //     _//    _// _//    _// 
_//    _//_//     _//_//          _/  _//     _//        _// _//   
_///////  _////// _//_//////     _//   _//      _//        _//     
_//       _//     _//_//        _////// _//        _//     _//     
_//       _//     _//_//       _//       _// _//    _//    _//     
_//       _//     _//_////////_//         _//  _// //      _// """
        + __version__
    )
    logo_list.append(
        """
______ _   _  _____  ___   _______   __
| ___ \ | | ||  ___|/ _ \ /  ___\ \ / /
| |_/ / |_| || |__ / /_\ \\ `--. \ V / 
|  __/|  _  ||  __||  _  | `--. \ \ /  
| |   | | | || |___| | | |/\__/ / | |  
\_|   \_| |_/\____/\_| |_/\____/  \_/ """
        + __version__
    )
    logo_list.append(
        """
 ___   _  _  ____   __   ___  _   _ 
(   ) ( )( )(  __) (  ) /  _)( \_/ )
| O  || L| || |_   /o \ \_"-. \   / 
( __/ ( __ )(  _) ( __ ) __) ) ( )  
/_\   /_\/_\/____\/_\/_\/___/  |_| """
        + __version__
    )
    logo_list.append(
        """
 _______           _______  _______  _______          
(  ____ )|\     /|(  ____ \(  ___  )(  ____ \|\     /|
| (    )|| )   ( || (    \/| (   ) || (    \/( \   / )
| (____)|| (___) || (__    | (___) || (_____  \ (_) / 
|  _____)|  ___  ||  __)   |  ___  |(_____  )  \   /  
| (      | (   ) || (      | (   ) |      ) |   ) (   
| )      | )   ( || (____/\| )   ( |/\____) |   | |   
|/       |/     \|(_______/|/     \|\_______)   \_/  """
        + __version__
    )
    logo_list.append(
        """
__________  ___ ______________   _____    ______________.___.
\______   \/   |   \_   _____/  /  _  \  /   _____/\__  |   |
 |     ___/    ~    \    __)_  /  /_\  \ \_____  \  /   |   |
 |    |   \    Y    /        \/    |    \/        \ \____   |
 |____|    \___|_  /_______  /\____|__  /_______  / / ______|
                 \/        \/         \/        \/  \/  """
        + __version__
    )
    logo_list.append(
        """
      ___           ___           ___           ___           ___           ___     
     /\  \         /\__\         /\  \         /\  \         /\  \         |\__\    
    /::\  \       /:/  /        /::\  \       /::\  \       /::\  \        |:|  |   
   /:/\:\  \     /:/__/        /:/\:\  \     /:/\:\  \     /:/\ \  \       |:|  |   
  /::\~\:\  \   /::\  \ ___   /::\~\:\  \   /::\~\:\  \   _\:\~\ \  \      |:|__|__ 
 /:/\:\ \:\__\ /:/\:\  /\__\ /:/\:\ \:\__\ /:/\:\ \:\__\ /\ \:\ \ \__\     /::::\__\\
 \/__\:\/:/  / \/__\:\/:/  / \:\~\:\ \/__/ \/__\:\/:/  / \:\ \:\ \/__/    /:/~~/~~~~   
      \::/  /       \::/  /   \:\ \:\__\        \::/  /   \:\ \:\__\     /:/  /     
       \/__/        /:/  /     \:\ \/__/        /:/  /     \:\/:/  /     \/__/      
                   /:/  /       \:\__\         /:/  /       \::/  /                 
                   \/__/         \/__/         \/__/         \/__/      
                                                                                    """
        + __version__
    )
    logo_list.append(
        """
      ___         ___           ___           ___           ___                 
     /\  \       /\  \         /\__\         /\  \         /\__\                
    /::\  \      \:\  \       /:/ _/_       /::\  \       /:/ _/_         ___   
   /:/\:\__\      \:\  \     /:/ /\__\     /:/\:\  \     /:/ /\  \       /|  |  
  /:/ /:/  /  ___ /::\  \   /:/ /:/ _/_   /:/ /::\  \   /:/ /::\  \     |:|  |  
 /:/_/:/  /  /\  /:/\:\__\ /:/_/:/ /\__\ /:/_/:/\:\__\ /:/_/:/\:\__\    |:|  |  
 \:\/:/  /   \:\/:/  \/__/ \:\/:/ /:/  / \:\/:/  \/__/ \:\/:/ /:/  /  __|:|__|  
  \::/__/     \::/__/       \::/_/:/  /   \::/__/       \::/ /:/  /  /::::\  \  
   \:\  \      \:\  \        \:\/:/  /     \:\  \        \/_/:/  /   ~~~~\:\  \ 
    \:\__\      \:\__\        \::/  /       \:\__\         /:/  /         \:\__\\
     \/__/       \/__/         \/__/         \/__/         \/__/           \/__/ 
                                                                                """
        + __version__
    )
    logo_list.append(
        """
      ___         ___           ___           ___           ___                 
     /  /\       /__/\         /  /\         /  /\         /  /\          ___   
    /  /::\      \  \:\       /  /:/_       /  /::\       /  /:/_        /__/|  
   /  /:/\:\      \__\:\     /  /:/ /\     /  /:/\:\     /  /:/ /\      |  |:|  
  /  /:/~/:/  ___ /  /::\   /  /:/ /:/_   /  /:/~/::\   /  /:/ /::\     |  |:|  
 /__/:/ /:/  /__/\  /:/\:\ /__/:/ /:/ /\ /__/:/ /:/\:\ /__/:/ /:/\:\  __|__|:|  
 \  \:\/:/   \  \:\/:/__\/ \  \:\/:/ /:/ \  \:\/:/__\/ \  \:\/:/~/:/ /__/::::\  
  \  \::/     \  \::/       \  \::/ /:/   \  \::/       \  \::/ /:/  ~~~~\~~\:\ 
   \  \:\      \  \:\        \  \:\/:/     \  \:\        \__\/ /:/        \  \:\\
    \  \:\      \  \:\        \  \::/       \  \:\         /__/:/          \__\/
     \__\/       \__\/         \__\/         \__\/         \__\/                  
                                                                                """
        + __version__
    )
    logo_list.append(
        """
                    ___           ___           ___           ___                   
      ___          /  /\         /  /\         /  /\         /  /\          __      
     /  /\        /  /:/        /  /::\       /  /::\       /  /::\        |  |\    
    /  /::\      /  /:/        /  /:/\:\     /  /:/\:\     /__/:/\:\       |  |:|   
   /  /:/\:\    /  /::\ ___   /  /::\ \:\   /  /::\ \:\   _\_ \:\ \:\      |  |:|   
  /  /::\ \:\  /__/:/\:\  /\ /__/:/\:\ \:\ /__/:/\:\_\:\ /__/\ \:\ \:\     |__|:|__ 
 /__/:/\:\_\:\ \__\/  \:\/:/ \  \:\ \:\_\/ \__\/  \:\/:/ \  \:\ \:\_\/     /  /::::\\
 \__\/  \:\/:/      \__\::/   \  \:\ \:\        \__\::/   \  \:\_\:\      /  /:/~~~~
      \  \::/       /  /:/     \  \:\_\/        /  /:/     \  \:\/:/     /__/:/     
       \__\/       /__/:/       \  \:\         /__/:/       \  \::/      \__\/      
                   \__\/         \__\/         \__\/         \__\/            
                                                                                    """
        + __version__
    )
    logo_list.append(
        """
                                                                   
    _/_/_/    _/    _/  _/_/_/_/    _/_/      _/_/_/  _/      _/   
   _/    _/  _/    _/  _/        _/    _/  _/          _/  _/      
  _/_/_/    _/_/_/_/  _/_/_/    _/_/_/_/    _/_/        _/         
 _/        _/    _/  _/        _/    _/        _/      _/          
_/        _/    _/  _/_/_/_/  _/    _/  _/_/_/        _/           
                                                        """
        + __version__
    )
    logo_list.append(
        """
{_______  {__     {__{________      {_         {__ __  {__      {__
{__    {__{__     {__{__           {_ __     {__    {__ {__    {__ 
{__    {__{__     {__{__          {_  {__     {__        {__ {__   
{_______  {______ {__{______     {__   {__      {__        {__     
{__       {__     {__{__        {______ {__        {__     {__     
{__       {__     {__{__       {__       {__ {__    {__    {__     
{__       {__     {__{________{__         {__  {__ __      {__   """
        + __version__
    )
    logo_list.append(
        """
/^^^^^^^  /^^     /^^/^^^^^^^^      /^         /^^ ^^  /^^      /^^
/^^    /^^/^^     /^^/^^           /^ ^^     /^^    /^^ /^^    /^^ 
/^^    /^^/^^     /^^/^^          /^  /^^     /^^        /^^ /^^   
/^^^^^^^  /^^^^^^ /^^/^^^^^^     /^^   /^^      /^^        /^^     
/^^       /^^     /^^/^^        /^^^^^^ /^^        /^^     /^^     
/^^       /^^     /^^/^^       /^^       /^^ /^^    /^^    /^^     
/^^       /^^     /^^/^^^^^^^^/^^         /^^  /^^ ^^      /^^  """
        + __version__
    )
    logo_list.append(
        """
    ____  __  ___________   _______  __
   / __ \/ / / / ____/   | / ___/\ \/ /
  / /_/ / /_/ / __/ / /| | \__ \  \  / 
 / ____/ __  / /___/ ___ |___/ /  / /  
/_/   /_/ /_/_____/_/  |_/____/  /_/  """
        + __version__
    )
    logo_list.append(
        """
    ___       ___       ___       ___       ___       ___   
   /\  \     /\__\     /\  \     /\  \     /\  \     /\__\  
  /::\  \   /:/__/_   /::\  \   /::\  \   /::\  \   |::L__L 
 /::\:\__\ /::\/\__\ /::\:\__\ /::\:\__\ /\:\:\__\  |:::\__\\
 \/\::/  / \/\::/  / \:\:\/  / \/\::/  / \:\:\/__/  /:;;/__/
    \/__/    /:/  /   \:\/  /    /:/  /   \::/  /   \/__/   
             \/__/     \/__/     \/__/     \/__/    """
        + __version__
    )
    logo_list.append(
        """
.______    __    __   _______     ___           _______.____    ____ 
|   _  \  |  |  |  | |   ____|   /   \         /       |\   \  /   / 
|  |_)  | |  |__|  | |  |__     /  ^  \       |   (----` \   \/   /  
|   ___/  |   __   | |   __|   /  /_\  \       \   \      \_    _/   
|  |      |  |  |  | |  |____ /  _____  \  .----)   |       |  |     
| _|      |__|  |__| |_______/__/     \__\ |_______/        |__|     
                                                                  """
        + __version__
    )

    return logo_list
